# /builddir/build/BUILD/alsa-lib-1.1.0/src/control/tlv.c File Reference

dB conversion functions from control TLV information More...

## Functions

int | snd_tlv_parse_dB_info (unsigned int *tlv, unsigned int tlv_size, unsigned int **db_tlvp)
| Parse TLV stream and retrieve dB information.
int | snd_tlv_get_dB_range (unsigned int *tlv, long rangemin, long rangemax, long *min, long *max)
| Get the dB min/max values.
int | snd_tlv_convert_to_dB (unsigned int *tlv, long rangemin, long rangemax, long volume, long *db_gain)
| Convert the given raw volume value to a dB gain.
int | snd_tlv_convert_from_dB (unsigned int *tlv, long rangemin, long rangemax, long db_gain, long *value, int xdir)
| Convert from dB gain to the corresponding raw value.
int | snd_ctl_get_dB_range (snd_ctl_t *ctl, const snd_ctl_elem_id_t *id, long *min, long *max)
| Get the dB min/max values on the given control element.
int | snd_ctl_convert_to_dB (snd_ctl_t *ctl, const snd_ctl_elem_id_t *id, long volume, long *db_gain)
| Convert the volume value to dB on the given control element.
int | snd_ctl_convert_from_dB (snd_ctl_t *ctl, const snd_ctl_elem_id_t *id, long db_gain, long *value, int xdir)
| Convert from dB gain to the raw volume value on the given control element.

## Detailed Description

dB conversion functions from control TLV information

Author:
  Takashi Iwai <tiwai@suse.de>

Date:
  2007

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines